// systray.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "systray.h"
#include "systrdlg.h"
#include "csystray.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSystrayApp

BEGIN_MESSAGE_MAP(CSystrayApp, CWinApp)
	//{{AFX_MSG_MAP(CSystrayApp)
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSystrayApp construction

CSystrayApp::CSystrayApp()
{
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CSystrayApp object

CSystrayApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CSystrayApp initialization

BOOL CSystrayApp::InitInstance()
{
	// Standard initialization

	Enable3dControls();
	LoadStdProfileSettings();  // Load standard INI file options (including MRU)

    {
    	CSystrayDlg dlg;
    	m_pMainWnd = &dlg;
        CString szINISection = "CSysTray";
        dlg.m_bLoadOnStartup = AfxGetApp()->GetProfileInt(szINISection,
            "Load on Startup", 0);
        dlg.m_bEnable = dlg.m_bLoadOnStartup;
        dlg.m_bCycle = GetProfileInt(szINISection, "Cycle Icon", 0);
    	dlg.DoModal();
    }

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}
