// systrdlg.h : header file
//

#include "csystray.h"

#define WM_MYCALLBACK           (WM_USER + 100)
#define ID_MYTIMER              123

/////////////////////////////////////////////////////////////////////////////
// CSystrayDlg dialog

class CSystrayDlg : public CDialog
{
// Construction
public:
	CSystrayDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSystrayDlg)
	enum { IDD = IDD_SYSTRAY_DIALOG };
	CEdit	m_editBubbleText;
	CButton	m_ckEnable;
	CString	m_szBubbleText;
	BOOL	m_bEnable;
	int		m_nIconState;
	BOOL	m_bCycle;
	BOOL	m_bLoadOnStartup;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSystrayDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON               m_hIcon;
    CWin95SystemTray    m_Win95SystemTray;
    UINT                m_uMyTimer;

    LONG    AddToRunRegistryKey(BOOL bAdd = TRUE);
    
	// Generated message map functions
	//{{AFX_MSG(CSystrayDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnHide();
	afx_msg void OnSet();
	afx_msg void OnEnable();
	afx_msg void OnIconstate();
    afx_msg LONG OnMySystemTrayCallback(UINT wParam, LONG lParam);
	afx_msg void OnCycle();
	afx_msg void OnClear();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnClose();
	afx_msg void OnAbout();
	virtual void OnCancel();
	afx_msg BOOL OnQueryEndSession();
	afx_msg void OnDevnotes();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
